function [anomaly] = anom_comp(sigma_ref, sigma_test, beta_ref, beta_test)
    
    mconc = []; 
    anomaly = - ( ln( sigma_ref) - ln( sigma_test)) ...
        - 1/2 * ( 1 - ( 1 / sigma_test^2) * ...
        (sigma_ref^2 + (beta_ref - beta_test) * mconc)^2);
end